Ticket #3073 (closed enhancement: fixed)

Opened 9 years ago

Last modified 8 years ago

ドコモ携帯でメール投稿アドレスが長すぎてメール送信できない場合がある

Reported by: pnetan Assigned to: ogawa
Priority: minor Milestone: OpenPNE2.13.4
Component: 指定しない Version: 2.10.x & 2.12.x & 2.14.x
Keywords: Cc:

Description (Last modified by kudo)

■現象

メール投稿用のメールアドレスが長くなってしまうと、携帯端末側の制限でメールが送信できなくなってしまう場合がある。

特にドコモの携帯電話での制限が厳しく、送信メールの宛先メールアドレスには50文字までしか入力できないという制限がある。

■原因

SNSのメールドメイン名およびIDの桁数が長い場合に、メール投稿用のメールアドレスが50文字を超えてしまうことがあるため。

■修正内容

メール投稿用のメールアドレスが長くなりすぎないよう対策する。

「SNSのメールドメイン名」「IDの桁数」を変更するのは難しいので、本人確認用の12桁のハッシュ部分の桁数を減らせるようにすることでこの問題が発生しにくいようにする。

ハッシュ部分の桁数を減らす場合には、変更前と同一のハッシュ値の先頭部分を用いるようにし、変更前のメールアドレスでもこれまで通りメール投稿ができるようにする。(※ただし、桁数を増やした場合には設定前のメールアドレスではメール投稿できなくなる)

ハッシュ部分の桁数は config.php で設定できるようにする(定数名は MAIL_ADDRESS_HASH_LENGTH。デフォルト値はこれまで通り12桁。設定可能な値は、1~32)

■関連情報

元のDescription

http://sns.openpne.jp/?m=pc&a=page_fh_diary&target_c_diary_id=19281

 携帯でのメール投稿は、投稿先アドレスが、

日記画像編集
bi1127629-e666baf4b63a@xxxxxxxxxx.jp

日記コメント
bc1127629-e666baf4b63a@xxxxxxxxxx.jp

 のように、日記IDやトピックID・12桁の英数・SNSのドメインから構成されますが、日記IDが上記のように進んでおり、尚且つドメイン名が長いと、アドレスが50文字を超える場合があります。

 ドコモの携帯電話では、アドレスが50文字までしか入力できませんので、この場合にメールを正しく送信することができず、メールでの投稿ができません。(実際に、ドメイン名が28文字あるSNSで問題が発生しております)

 12桁英数の部分をもう少し短くするなど、この問題が発生しにくいようにすることはできないでしょうか?

 ご検討の程、何卒よろしくお願い致します。 
本人確認用の12桁のハッシュ部分の桁数を減らすのが現実的な改善策になると思います。(起こりにくくなるというレベルの対処になってしまいますが)

桁数を減らした場合、メール投稿の宛先のメールアドレスが変わってしまいますが、例えばハッシュの先頭からマッチングして認証することで今まで通りのメールアドレスでも投稿できるようにも実装できると思います。

この変更をする場合、バージョンアップで強制的に桁数が減らされるのではなく桁数を減らすかどうかという設定が config.php にあった方がよい気がしますが、安定版のマイナーバージョンアップの場合は config.php はあまり変更したくないので設定をどうするかという問題は悩ましいですね。

Change History

10/16/08 13:58:52 changed by kiwa

  • keywords deleted.

再現が必要な内容ではないので、「再現待ち」キーワード外します。

10/21/08 10:09:57 changed by ebihara

  • keywords set to OpenPNE2.10.12 OpenPNE2.13.4.
  • milestone set to OpenPNE2.12.6.

10/21/08 10:10:29 changed by ebihara

  • keywords deleted.
  • type changed from defect to enhancement.
  • milestone changed from OpenPNE2.12.6 to OpenPNE2.13.4.

10/21/08 14:52:38 changed by ogawa

  • owner changed from nobody to ogawa.
  • status changed from new to assigned.

やります。

10/31/08 14:32:47 changed by ogawa

  • description changed.
  • summary changed from 携帯でのメール投稿アドレスが長すぎて投稿できない to ドコモ携帯でメール投稿アドレスが長すぎて投稿できない場合がある.

10/31/08 14:38:14 changed by ogawa

  • summary changed from ドコモ携帯でメール投稿アドレスが長すぎて投稿できない場合がある to ドコモ携帯でメール投稿アドレスが長すぎてメール送信できない場合がある.

11/04/08 15:44:46 changed by ogawa

  • keywords set to 確認中.
  • description changed.

以下のリビジョンで対応しました。trunkのみ

  • r8734: メール投稿アドレスのメンバーハッシュのチェック部分を共通化(安定版にもそのままマージ可)
  • r8935: メール投稿アドレスのハッシュ文字列の長さを設定できるよう変更

11/04/08 16:30:57 changed by ebihara

  • keywords changed from 確認中 to テスト待ち.

11/06/08 11:12:09 changed by ogawa

  • description changed.

11/06/08 22:44:42 changed by kiwa

  • keywords deleted.
  • status changed from assigned to closed.
  • resolution set to fixed.

確認しました。問題ありません。

05/25/09 14:03:02 changed by kudo

  • description changed.